OpenVDB 5.1.0

Classes | Public Types | Static Public Member Functions | List of all members
UnitVecCodec Struct Reference

`#include <AttributeArray.h>`

## Classes
struct | Storage

## Public Types
using | StorageType = uint16_t

## Static Public Member Functions
template<typename T >
static void | decode (const StorageType &, math::Vec3< T > &)
template<typename T >
static void | encode (const math::Vec3< T > &, StorageType &)
static const char * | name ()

## Member Typedef Documentation

## ◆ StorageType

using StorageType = uint16_t

## Member Function Documentation

## ◆ decode()

void decode | ( | const StorageType & | data,
|  | math::Vec3< T > & | val
| ) |  |
| inline static

## ◆ encode()

void encode | ( | const math::Vec3< T > & | val,
|  | StorageType & | data
| ) |  |
| inline static

## ◆ name()

static const char* name | ( |  | ) |
| inline static

The documentation for this struct was generated from the following file:

- AttributeArray.h